$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.18.4-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.18.4-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '15D0714EA4874C1FADA8DB8F4C1BE59BBEC2038102A9B5232603B7ECDDAABD80'
  checksumType = 'sha256'
  checksum64 = '15D0714EA4874C1FADA8DB8F4C1BE59BBEC2038102A9B5232603B7ECDDAABD80'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.18.4-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
